package com.ruoyi.yh.logImport.mapper;

import com.ruoyi.yh.logImport.domain.LogImport;
import com.ruoyi.yh.logImport.domain.LogImportQuery;
import com.ruoyi.yh.logImport.domain.LogImportVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 导入日志Mapper接口
 *
 * @author ruoyi
 * @date 2024-11-07
 */
public interface LogImportMapper
{
    /**
     * 查询导入日志
     *
     * @param logId 导入日志主键
     * @return 导入日志
     */
    public LogImportVO selectLogImportByLogId(Long logId);

    /**
     * 查询导入日志列表
     *
     * @param query 导入日志
     * @return 导入日志集合
     */
    public List<LogImportVO> selectLogImportList(@Param("query") LogImportQuery query);

    /**
     * 新增导入日志
     *
     * @param logImport 导入日志
     * @return 结果
     */
    public int insertLogImport(LogImport logImport);

    /**
     * 修改导入日志
     *
     * @param logImport 导入日志
     * @return 结果
     */
    public int updateLogImport(@Param("data") LogImport logImport);

    /**
     * 删除导入日志
     *
     * @param logId 导入日志主键
     * @return 结果
     */
    public int deleteLogImportByLogId(Long logId);

    /**
     * 批量删除导入日志
     *
     * @param logIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLogImportByLogIds(Long[] logIds);
}
