package com.ruoyi.yh.material.service;

import com.ruoyi.yh.material.domain.Material;
import com.ruoyi.yh.material.domain.MaterialQuery;
import com.ruoyi.yh.material.domain.MaterialVO;

import java.util.Collection;
import java.util.List;

/**
 * 物料Service接口
 *
 * @author ruoyi
 * @date 2024-11-12
 */
public interface MaterialService
{
    /**
     * 查询物料
     *
     * @param id 物料主键
     * @return 物料
     */
    public MaterialVO selectMaterialById(Long id);

    /**
     * 查询物料列表
     *
     * @param material 物料
     * @return 物料集合
     */
    public List<MaterialVO> selectMaterialList(MaterialQuery material);

    /**
     * 新增物料
     *
     * @param material 物料
     * @return 结果
     */
    public int insertMaterial(Material material);

    /**
     * 修改物料
     *
     * @param material 物料
     * @return 结果
     */
    public int updateMaterial(Material material);

    /**
     * 批量删除物料
     *
     * @param ids 需要删除的物料主键集合
     * @return 结果
     */
    public int deleteMaterialByIds(Long[] ids);

    /**
     * 删除物料信息
     *
     * @param id 物料主键
     * @return 结果
     */
    public int deleteMaterialById(Long id);

    void sync(Long operaId);

    List<MaterialVO> selectByErpIds(Collection<String> erpIds);
}
