package com.ruoyi.yh.price.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.common.utils.ServiceUtil;
import com.ruoyi.yh.price.domain.PriceQuery;
import com.ruoyi.yh.price.domain.PriceVO;
import com.ruoyi.yh.price.domain.enums.PriceStatus;
import com.ruoyi.yh.price.mapper.PriceMapper;
import com.ruoyi.yh.price.service.PriceValidator;

@Service
public class PriceValidatorImpl implements PriceValidator {

    @Autowired
    private PriceMapper priceMapper;

    @Override
    public void validateRepeatEnabled(PriceVO vo) {
        if (vo == null) {
            return;
        }

        PriceQuery query = new PriceQuery();
        query.setStatus(PriceStatus.PASS.getStatus());
        query.setDisabled(false);
        query.setExcludePriceId(vo.getPriceId());
        query.setNeedAllMatch(true);
        query.setEqName(vo.getName());
        query.setEqCategory(vo.getCategory());
        query.setEqSize(vo.getSize());
        query.setEqPattern(vo.getPattern());

        int count = priceMapper.selectCount(query);
        ServiceUtil.assertion(count > 0,
        "当前有重复的单价已启用，请检查。工序：%s，分类：%s，大小：%s，图案：%s",
            vo.getName(), vo.getCategory(), vo.getSize(), vo.getPattern()
        );
    }

}
