package com.ruoyi.yh.prodOrder.domain;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.constant.DictType;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 生产订单对象 bst_prod_order
 *
 * @author ruoyi
 * @date 2024-11-11
 */
@Data
public class ProdOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("ERP单据ID")
    private String erpId;

    @Excel(name = "单据编号")
    @ApiModelProperty("ERP单据编号")
    private String erpBillNo;

    @Excel(name = "单据状态", dictType = DictType.PROD_ORDER_ERP_DOCUMENT_STATUS)
    @ApiModelProperty("ERP单据状态")
    private String erpDocumentStatus;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("ERP创建日期")
    private LocalDateTime erpCreateDate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "修改日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("ERP修改日期")
    private LocalDateTime erpModifyDate;

    @ApiModelProperty("ERP备注")
    private String erpDescription;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "单据日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("ERP单据日期")
    private LocalDateTime erpDate;

    @Excel(name = "是否返工", combo = {"是", "否"}, readConverterExp = "true=是,false=否")
    @ApiModelProperty("ERP是否返工")
    private Boolean erpIsRework;

    @ApiModelProperty("ERP明细行标识")
    private String erpRowId;

    @Excel(name = "备注")
    @ApiModelProperty("ERP明细备注")
    private String erpMemoItem;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "下达日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("ERP明细下达日期")
    private LocalDateTime erpConveyDate;

    @Excel(name = "业务状态", dictType = DictType.PROD_ORDER_ERP_STATUS)
    @ApiModelProperty("ERP明细业务状态")
    private String erpStatus;

    @ApiModelProperty("ERP明细生产车间ID")
    private String erpWorkShopId;

    @Excel(name = "需求来源", dictType = DictType.PROD_ORDER_ERP_REQ_SRC)
    @ApiModelProperty("ERP明细需求来源")
    private String erpReqSrc;

    @Excel(name = "数量", scale = 8)
    @ApiModelProperty("ERP明细数量")
    private BigDecimal erpQty;

    @Excel(name = "基本单位数量", scale = 8)
    @ApiModelProperty("ERP明细基本单位数量")
    private BigDecimal erpBaseUnitQty;

    @ApiModelProperty("ERP明细单位")
    private String erpUnitId;

    @ApiModelProperty("ERP物料ID")
    private String erpMaterialId;

    @ApiModelProperty("匹配上的工序单价ID列表")
    private List<String> matchPrices;

    @Excel(name = "未入库数量", scale = 8)
    @ApiModelProperty("ERP未入库数量")
    private BigDecimal erpNoStockInQty;

    @Excel(name = "基本单位未入库数量", scale = 8)
    @ApiModelProperty("ERP基本单位未入库数量")
    private BigDecimal erpBaseNoStockInQty;

    @ApiModelProperty("已审核通过的基本数量")
    private BigDecimal verifiedBaseNum;

    @ApiModelProperty("ERP明细基本单位ID")
    private String erpBaseUnitId;

    @Excel(name = "最近同步时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("最近同步时间")
    private LocalDateTime syncTime;

    @ApiModelProperty("部门ID")
    private Long deptId;

    @ApiModelProperty("物料编码")
    private String materialNumber;

    @ApiModelProperty("物料规格品类(单价类别)")
    private String materialCategory;

    @ApiModelProperty("物料大小")
    private String materialSize;

    @ApiModelProperty("物料表面处理")
    private String materialSurface;

    @ApiModelProperty("物料盖子方式")
    private String materialCover;

    @ApiModelProperty("物料图案")
    private String materialGraphics;

    @Excel(name = "单位")
    @ApiModelProperty("单位名称")
    private String unitName;

    @Excel(name = "基本单位")
    @ApiModelProperty("基本单位名称")
    private String baseUnitName;

    @ApiModelProperty("计划跟踪号")
    private String erpMtoNo;

    @ApiModelProperty("ERP辅助属性ID")
    private String fauxPropId;

    @ApiModelProperty("ERP辅助属性")
    private String fauxProp;
}
