package com.ruoyi.yh.report.domain.dto;

import com.ruoyi.common.core.interfaces.LogBizParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * 审核DTO
 * @author wjh
 * 2024/11/8
 */
@Data
public class ReportVerifyDTO implements LogBizParam {

    @ApiModelProperty("报表ID")
    @NotNull(message = "报表ID不允许为空")
    private Long reportId;

    @ApiModelProperty("是否通过")
    @NotNull(message = "是否通过不允许为空")
    private Boolean pass;

    @ApiModelProperty("审核意见")
    @Size(max = 1000, message = "审核意见不允许超过1000个字符")
    private String verifyRemark;

    /**
     * 获取日志业务ID
     */
    @Override
    public Object logBizId() {
        return reportId;
    }
}
