package com.ruoyi.yh.reportOrderProd.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.validate.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 订单产量对象 bst_report_order_prod
 *
 * @author ruoyi
 * @date 2024-11-19
 */
@Data
public class ReportOrderProd extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("报表产量ID")
    private Long reportProdId;

    @ApiModelProperty("生产订单ID")
    @NotNull(message = "生产订单不允许为空", groups = {ValidGroup.Create.class})
    private Long orderId;

    @Excel(name = "良品数")
    @ApiModelProperty("生产数量")
    @NotNull(message = "生产数量不允许为空", groups = {ValidGroup.Create.class})
    @Min(value = 0, message = "生产数量不允许小于0")
    private BigDecimal num;

}
