package com.ruoyi.yh.reportOrderProd.domain;

import java.math.BigDecimal;
import java.time.LocalDate;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.constant.DictType;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2024/11/19
 */
@Data
public class ReportOrderProdVO extends ReportOrderProd {

    @Excel(name = "报表编号")
    @ApiModelProperty("报表ID")
    private Long reportId;

    @Excel(name = "报表日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("报表日期")
    private LocalDate reportDate;

    @Excel(name = "报表状态", dictType = DictType.REPORT_STATUS)
    @ApiModelProperty("报表状态")
    private String reportStatus;

    @Excel(name = "生产订单")
    @ApiModelProperty("订单编号")
    private String orderErpBillNo;

    @Excel(name = "订单数量")
    @ApiModelProperty("订单数量")
    private BigDecimal orderErpQty;

    @ApiModelProperty("订单基础数量")
    private BigDecimal orderErpBaseUnitQty;

    @ApiModelProperty("订单未入库数量")
    private BigDecimal orderErpNoStockInQty;

    @ApiModelProperty("订单物料编码")
    private String orderMaterialNumber;

    @ApiModelProperty("订单ERP状态")
    private String orderErpStatus;

    @ApiModelProperty("订单生产部门ID")
    private Long orderDeptId;

    @Excel(name = "订单数量单位")
    @ApiModelProperty("订单单位名称")
    private String unitName;

    @ApiModelProperty("订单基础单位名称")
    private String baseUnitName;

    @ApiModelProperty("订单辅助属性")
    private String orderFauxProp;

    @ApiModelProperty("订单基础未入库数量")
    private BigDecimal orderErpBaseNoStockInQty;

    @ApiModelProperty("订单审核中的基础产量")
    private BigDecimal verifyingBaseNum;

    @ApiModelProperty("订单已审核通过的基础产量")
    private BigDecimal verifiedBaseNum;

    @ApiModelProperty("订单计划跟踪号")
    private String orderErpMtoNo;

    @ApiModelProperty("工序倍数分子")
    private BigDecimal priceQuantityNumerator;

    @ApiModelProperty("工序倍数分母")
    private BigDecimal priceQuantityDenominator;

    @ApiModelProperty("工序单位")
    private String priceUnit;

    @Excel(name = "工序")
    @ApiModelProperty("工序名称")
    private String priceName;

    @Excel(name = "单价(元)")
    @ApiModelProperty("工序单价")
    private BigDecimal pricePrice;

    @ApiModelProperty("车间")
    private String reportDeptName;

    @ApiModelProperty("车间ID")
    private Long reportDeptId;

    @ApiModelProperty("工序类别")
    private String priceCategory;

    @ApiModelProperty("工序大小")
    private String priceSize;

    @ApiModelProperty("工序图案")
    private String pricePattern;

}
