package com.ruoyi.yh.reportOrderProd.service;

import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProd;
import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProdQuery;
import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProdVO;
import com.ruoyi.yh.reportOrderProd.domain.vo.ReportOrderProdSumOfBaseNumGroupByOrderIdVO;

import java.util.List;

/**
 * 订单产量Service接口
 *
 * @author ruoyi
 * @date 2024-11-19
 */
public interface ReportOrderProdService
{
    /**
     * 查询订单产量
     *
     * @param id 订单产量主键
     * @return 订单产量
     */
    public ReportOrderProdVO selectReportOrderProdById(Long id);

    /**
     * 查询订单产量列表
     *
     * @param reportOrderProd 订单产量
     * @return 订单产量集合
     */
    public List<ReportOrderProdVO> selectReportOrderProdList(ReportOrderProdQuery reportOrderProd);

    /**
     * 新增订单产量
     *
     * @param reportOrderProd 订单产量
     * @return 结果
     */
    public int insertReportOrderProd(ReportOrderProd reportOrderProd);

    /**
     * 修改订单产量
     *
     * @param reportOrderProd 订单产量
     * @return 结果
     */
    public int updateReportOrderProd(ReportOrderProd reportOrderProd);

    /**
     * 批量删除订单产量
     *
     * @param ids 需要删除的订单产量主键集合
     * @return 结果
     */
    public int deleteReportOrderProdByIds(Long[] ids);

    /**
     * 删除订单产量信息
     *
     * @param id 订单产量主键
     * @return 结果
     */
    public int deleteReportOrderProdById(Long id);

    /**
     * 根据报表ID查询订单产量列表
     */
    List<ReportOrderProdVO> selectListByReportId(Long reportId);

    /**
     * 批量新增
     */
    int batchInsert(List<? extends ReportOrderProd> list);

    /**
     * 批量修改
     */
    int batchUpdate(List<? extends ReportOrderProd> list);

    int batchLogicDel(List<? extends ReportOrderProd> list);

    /**
     * 查询订单基础产量合计
     */
    List<ReportOrderProdSumOfBaseNumGroupByOrderIdVO> selectSumOfBaseNumGroupByOrderId(ReportOrderProdQuery query);

    int logicDelByReportId(Long reportId);

}
