package com.ruoyi.yh.reportOrderProd.service.impl;

import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.yh.report.domain.enums.ReportStatus;
import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProdQuery;
import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProdVO;
import com.ruoyi.yh.reportOrderProd.domain.vo.ReportOrderProdSumOfBaseNumGroupByOrderIdVO;
import com.ruoyi.yh.reportOrderProd.service.ReportOrderProdAssembler;
import com.ruoyi.yh.reportOrderProd.service.ReportOrderProdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author wjh
 * 2024/11/19
 */
@Service
public class ReportOrderProdAssemblerImpl implements ReportOrderProdAssembler {

    @Autowired
    private ReportOrderProdService reportOrderProdService;

    @Override
    public void assembleVerifyingBaseNum(List<ReportOrderProdVO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }

        ReportOrderProdQuery query = new ReportOrderProdQuery();
        query.setOrderIds(CollectionUtils.map(list, ReportOrderProdVO::getOrderId));
        query.setReportStatus(ReportStatus.WAIT_VERIFY.getStatus());
        List<ReportOrderProdSumOfBaseNumGroupByOrderIdVO> sumList = reportOrderProdService.selectSumOfBaseNumGroupByOrderId(query);

        for (ReportOrderProdVO orderProd : list) {
            ReportOrderProdSumOfBaseNumGroupByOrderIdVO sum = sumList.stream()
                    .filter(item -> item.getOrderId().equals(orderProd.getOrderId()))
                    .findFirst().orElse(null);
            if (sum == null) {
                orderProd.setVerifyingBaseNum(BigDecimal.ZERO);
            } else {
                orderProd.setVerifyingBaseNum(sum.getSum());
            }
        }

    }
}
