package com.ruoyi.yh.reportProd.service.impl;

import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProdQuery;
import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProdVO;
import com.ruoyi.yh.reportOrderProd.service.ReportOrderProdAssembler;
import com.ruoyi.yh.reportOrderProd.service.ReportOrderProdService;
import com.ruoyi.yh.reportProd.domain.ReportProdVO;
import com.ruoyi.yh.reportProd.service.ReportProdAssembler;
import com.ruoyi.yh.reportUserProd.domain.ReportUserProdQuery;
import com.ruoyi.yh.reportUserProd.domain.ReportUserProdVO;
import com.ruoyi.yh.reportUserProd.service.ReportUserProdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author wjh
 * 2024/11/18
 */
@Service
public class ReportProdAssemblerImpl implements ReportProdAssembler {

    @Autowired
    private ReportUserProdService reportUserProdService;

    @Autowired
    private ReportOrderProdService reportOrderProdService;

    @Autowired
    private ReportOrderProdAssembler reportOrderProdAssembler;

    @Override
    public void assembleUserProdList(List<ReportProdVO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }

        ReportUserProdQuery query = new ReportUserProdQuery();
        query.setProdIds(CollectionUtils.map(list, ReportProdVO::getId));
        Map<Long, List<ReportUserProdVO>> group = reportUserProdService.selectReportUserProdList(query)
                .stream().collect(Collectors.groupingBy(ReportUserProdVO::getProdId));

        for (ReportProdVO prod : list) {
            List<ReportUserProdVO> userProdList = group.get(prod.getId());
            if (userProdList == null) {
                userProdList = new ArrayList<>();
            }
            prod.setUserProdList(userProdList);
        }
    }

    @Override
    public void assembleOrderProdList(List<ReportProdVO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }

        ReportOrderProdQuery query = new ReportOrderProdQuery();
        query.setReportProdIds(CollectionUtils.map(list, ReportProdVO::getId));
        List<ReportOrderProdVO> orderList = reportOrderProdService.selectReportOrderProdList(query);

        // 拼接订单数据
        reportOrderProdAssembler.assembleVerifyingBaseNum(orderList);

        Map<Long, List<ReportOrderProdVO>> group = orderList.stream()
                .collect(Collectors.groupingBy(ReportOrderProdVO::getReportProdId));

        for (ReportProdVO prod : list) {
            List<ReportOrderProdVO> orderProdList = group.get(prod.getId());
            if (orderProdList == null) {
                orderProdList = new ArrayList<>();
            }
            prod.setOrderProdList(orderProdList);
        }

    }
}
