package com.ruoyi.yh.reportUserProd.domain;

import java.math.BigDecimal;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 员工产量对象 bst_report_user_prod
 *
 * @author ruoyi
 * @date 2024-11-02
 */
@Data
public class ReportUserProd extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("总产量ID")
    private Long prodId;

    @ApiModelProperty("员工ID")
    @NotNull(message = "员工不允许为空")
    private Long userId;

    @Excel(name = "产量", sort = 11, scale = 2)
    @ApiModelProperty("产量")
    @NotNull(message = "产量不允许为空")
    @Min(value = 0, message = "产量不允许小于0")
    private BigDecimal num;

    @Excel(name = "是否充公", readConverterExp = "false=否,true=是")
    @ApiModelProperty("是否充公")
    private Boolean confiscate;

}
