package com.ruoyi.yh.reportUserProd.domain;

import java.math.BigDecimal;
import java.time.LocalDate;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.constant.DictType;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2024/11/2
 */
@Data
public class ReportUserProdVO extends ReportUserProd {

    @Excel(name = "员工", sort = 9)
    @ApiModelProperty("用户名称")
    private String userName;

    @Excel(name = "员工编号", sort = 10)
    @ApiModelProperty("员工编号")
    private String userNo;

    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd", sort = 2)
    @ApiModelProperty("报表日期")
    private LocalDate reportDate;

    @ApiModelProperty("报表状态")
    @Excel(name = "状态", dictType = DictType.REPORT_STATUS, sort = 3)
    private String reportStatus;

    @Excel(name = "工序", sort = 4)
    @ApiModelProperty("工序名称")
    private String priceName;

    @Excel(name = "单位", sort = 11)
    @ApiModelProperty("工序单位")
    private String priceUnit;

    @Excel(name = "单价(元)", sort = 10, suffix = " 元")
    @ApiModelProperty("工序单价")
    private BigDecimal pricePrice;

    @ApiModelProperty("报表ID")
    private Long reportId;

    @Excel(name = "工资", sort = 12, scale = 1, suffix = " 元")
    @ApiModelProperty("工资")
    private BigDecimal totalPrice;

    @Excel(name = "部门", sort = 1)
    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("部门ID")
    private String deptId;

    @Excel(name = "工序代码", sort = 5)
    @ApiModelProperty("工序代码")
    private String priceCode;

    @Excel(name = "类别", sort = 6)
    @ApiModelProperty("工序类别")
    private String priceCategory;

    @Excel(name = "大小", sort = 7)
    @ApiModelProperty("工序大小")
    private String priceSize;

    @Excel(name = "图案", sort = 8)
    @ApiModelProperty("工序图案")
    private String pricePattern;
}
