package com.ruoyi.yh.reportUserProd.service.impl;

import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.yh.reportUserProd.domain.ReportUserProd;
import com.ruoyi.yh.reportUserProd.domain.ReportUserProdQuery;
import com.ruoyi.yh.reportUserProd.domain.ReportUserProdVO;
import com.ruoyi.yh.reportUserProd.domain.vo.ReportUserProdGroupByDateVO;
import com.ruoyi.yh.reportUserProd.domain.vo.ReportUserProdGroupByYearMonthVO;
import com.ruoyi.yh.reportUserProd.mapper.ReportUserProdMapper;
import com.ruoyi.yh.reportUserProd.service.ReportUserProdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

/**
 * 员工产量Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-02
 */
@Service
public class ReportUserProdServiceImpl implements ReportUserProdService
{
    @Autowired
    private ReportUserProdMapper reportUserProdMapper;

    /**
     * 查询员工产量
     *
     * @param id 员工产量主键
     * @return 员工产量
     */
    @Override
    public ReportUserProdVO selectReportUserProdById(Long id)
    {
        return reportUserProdMapper.selectReportUserProdById(id);
    }

    /**
     * 查询员工产量列表
     *
     * @param reportUserProd 员工产量
     * @return 员工产量
     */
    @Override
    public List<ReportUserProdVO> selectReportUserProdList(ReportUserProdQuery reportUserProd)
    {
        return reportUserProdMapper.selectReportUserProdList(reportUserProd);
    }

    /**
     * 新增员工产量
     *
     * @param reportUserProd 员工产量
     * @return 结果
     */
    @Override
    public int insertReportUserProd(ReportUserProd reportUserProd)
    {
        return reportUserProdMapper.insertReportUserProd(reportUserProd);
    }

    /**
     * 修改员工产量
     *
     * @param reportUserProd 员工产量
     * @return 结果
     */
    @Override
    public int updateReportUserProd(ReportUserProd reportUserProd)
    {
        return reportUserProdMapper.updateReportUserProd(reportUserProd);
    }

    /**
     * 批量删除员工产量
     *
     * @param ids 需要删除的员工产量主键
     * @return 结果
     */
    @Override
    public int deleteReportUserProdByIds(Long[] ids)
    {
        return reportUserProdMapper.deleteReportUserProdByIds(ids);
    }

    /**
     * 删除员工产量信息
     *
     * @param id 员工产量主键
     * @return 结果
     */
    @Override
    public int deleteReportUserProdById(Long id)
    {
        return reportUserProdMapper.deleteReportUserProdById(id);
    }

    @Override
    public int batchInsert(List<? extends ReportUserProd> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return 0;
        }
        return reportUserProdMapper.batchInsert(list);
    }

    @Override
    public List<ReportUserProdVO> selectListByReportId(Long reportId) {
        if (reportId == null) {
            return Collections.emptyList();
        }
        ReportUserProdQuery query = new ReportUserProdQuery();
        query.setReportId(reportId);
        return reportUserProdMapper.selectReportUserProdList(query);
    }

    @Override
    public int batchUpdate(List<? extends ReportUserProd> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return 0;
        }
        return reportUserProdMapper.batchUpdate(list);
    }

    @Override
    public int batchLogicDel(List<? extends ReportUserProd> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return 0;
        }
        List<Long> ids = CollectionUtils.map(list, ReportUserProd::getId);
        return reportUserProdMapper.batchLogicDel(ids);
    }

    @Override
    public List<ReportUserProdGroupByYearMonthVO> selectListGroupByYearMonth(ReportUserProdQuery query) {
        return reportUserProdMapper.selectListGroupByYearMonth(query);
    }

    @Override
    public List<ReportUserProdGroupByDateVO> selectListGroupByDate(ReportUserProdQuery query) {
        return reportUserProdMapper.selectListGroupByDate(query);
    }

    @Override
    public int logicDelByReportId(Long reportId) {
        if (reportId == null) {
            return 0;
        }
        return reportUserProdMapper.logicDelByReportId(reportId);
    }
}
