package com.ruoyi.yh.shift.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.interfaces.LogBizParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 调班对象 bst_shift
 *
 * @author ruoyi
 * @date 2024-12-07
 */
@Data
public class Shift extends BaseEntity implements LogBizParam
{
    private static final long serialVersionUID = 1L;

    private Long shiftId;

    @Excel(name = "调班用户ID列表，逗号隔开")
    @ApiModelProperty("调班用户ID列表，逗号隔开")
    private List<Long> userIds;

    @Excel(name = "调班时间(起始)")
    @ApiModelProperty("调班时间(起始)")
    private LocalDateTime shiftTimeStart;

    @Excel(name = "调班时间(结束)")
    @ApiModelProperty("调班时间(结束)")
    private LocalDateTime shiftTimeEnd;

    @Excel(name = "目标部门ID")
    @ApiModelProperty("目标部门ID")
    private Long targetDeptId;

    @Excel(name = "创建人ID")
    @ApiModelProperty("创建人ID")
    private Long createId;

    @Excel(name = "更新人ID")
    @ApiModelProperty("更新人ID")
    private Long updateId;

    @Excel(name = "创建部门ID")
    @ApiModelProperty("创建部门ID")
    private Long deptId;

    /**
     * 获取日志业务ID
     */
    @Override
    public Object logBizId() {
        return shiftId;
    }
}
