package com.ruoyi.yh.shift.service;

import com.ruoyi.yh.shift.domain.Shift;
import com.ruoyi.yh.shift.domain.ShiftQuery;
import com.ruoyi.yh.shift.domain.ShiftVO;

import java.util.List;

/**
 * 调班Service接口
 *
 * @author ruoyi
 * @date 2024-12-07
 */
public interface ShiftService
{
    /**
     * 查询调班
     *
     * @param shiftId 调班主键
     * @return 调班
     */
    public ShiftVO selectShiftByShiftId(Long shiftId);

    /**
     * 查询调班列表
     *
     * @param shift 调班
     * @return 调班集合
     */
    public List<ShiftVO> selectShiftList(ShiftQuery shift);

    /**
     * 新增调班
     *
     * @param shift 调班
     * @return 结果
     */
    public int insertShift(Shift shift);

    /**
     * 修改调班
     *
     * @param shift 调班
     * @return 结果
     */
    public int updateShift(Shift shift);

    /**
     * 批量删除调班
     *
     * @param shiftIds 需要删除的调班主键集合
     * @return 结果
     */
    public int deleteShiftByShiftIds(Long[] shiftIds);

    /**
     * 删除调班信息
     *
     * @param shiftId 调班主键
     * @return 结果
     */
    public int deleteShiftByShiftId(Long shiftId);

    /**
     * 逻辑删除
     */
    int logicDel(List<Long> shiftIds);
}
