package com.ruoyi.yh.unit.mapper;

import com.ruoyi.yh.unit.domain.Unit;
import com.ruoyi.yh.unit.domain.UnitQuery;
import com.ruoyi.yh.unit.domain.UnitVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 单位Mapper接口
 *
 * @author ruoyi
 * @date 2024-11-18
 */
public interface UnitMapper
{
    /**
     * 查询单位
     *
     * @param unitId 单位主键
     * @return 单位
     */
    public UnitVO selectUnitByUnitId(Long unitId);

    /**
     * 查询单位列表
     *
     * @param query 单位
     * @return 单位集合
     */
    public List<UnitVO> selectUnitList(@Param("query")UnitQuery query);

    /**
     * 新增单位
     *
     * @param unit 单位
     * @return 结果
     */
    public int insertUnit(Unit unit);

    /**
     * 修改单位
     *
     * @param unit 单位
     * @return 结果
     */
    public int updateUnit(@Param("data") Unit unit);

    /**
     * 删除单位
     *
     * @param unitId 单位主键
     * @return 结果
     */
    public int deleteUnitByUnitId(Long unitId);

    /**
     * 批量删除单位
     *
     * @param unitIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUnitByUnitIds(Long[] unitIds);
}
