package com.ruoyi.yh.verify.mapper;

import java.util.List;
import com.ruoyi.yh.verify.domain.Verify;
import com.ruoyi.yh.verify.domain.VerifyVO;
import com.ruoyi.yh.verify.domain.VerifyQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 审核记录Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-01
 */
public interface VerifyMapper
{
    /**
     * 查询审核记录
     *
     * @param id 审核记录主键
     * @return 审核记录
     */
    VerifyVO selectVerifyById(Long id);

    /**
     * 查询审核记录列表
     *
     * @param query 审核记录
     * @return 审核记录集合
     */
    List<VerifyVO> selectVerifyList(@Param("query")VerifyQuery query);

    /**
     * 新增审核记录
     *
     * @param verify 审核记录
     * @return 结果
     */
    int insertVerify(Verify verify);

    /**
     * 批量新增审核记录
     */
    int batchInsert(@Param("list") List<? extends Verify> list);

    /**
     * 批量修改审核记录
     */
    int batchUpdate(@Param("list") List<? extends Verify> list);

    /**
     * 修改审核记录
     *
     * @param verify 审核记录
     * @return 结果
     */
    public int updateVerify(@Param("data") Verify verify);

    /**
     * 删除审核记录
     *
     * @param id 审核记录主键
     * @return 结果
     */
    int deleteVerifyById(Long id);

    /**
     * 批量删除审核记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVerifyByIds(Long[] ids);
}
