package com.ruoyi.yh.verify.service;

import java.util.List;

import com.ruoyi.yh.verify.domain.Verify;
import com.ruoyi.yh.verify.domain.VerifyQuery;
import com.ruoyi.yh.verify.domain.VerifyVO;

/**
 * 审核记录Service接口
 *
 * @author ruoyi
 * @date 2025-04-01
 */
public interface VerifyService
{
    /**
     * 查询审核记录
     *
     * @param id 审核记录主键
     * @return 审核记录
     */
    public VerifyVO selectVerifyById(Long id);

    /**
     * 查询审核记录列表
     *
     * @param verify 审核记录
     * @return 审核记录集合
     */
    public List<VerifyVO> selectVerifyList(VerifyQuery verify);

    /**
     * 新增审核记录
     *
     * @param verify 审核记录
     * @return 结果
     */
    public int insertVerify(Verify verify);

    /**
     * 修改审核记录
     *
     * @param verify 审核记录
     * @return 结果
     */
    public int updateVerify(Verify verify);

    /**
     * 批量删除审核记录
     *
     * @param ids 需要删除的审核记录主键集合
     * @return 结果
     */
    public int deleteVerifyByIds(Long[] ids);

    /**
     * 删除审核记录信息
     *
     * @param id 审核记录主键
     * @return 结果
     */
    public int deleteVerifyById(Long id);
}
