package com.ruoyi.yh.verify.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.yh.verify.domain.Verify;
import com.ruoyi.yh.verify.domain.VerifyQuery;
import com.ruoyi.yh.verify.domain.VerifyVO;
import com.ruoyi.yh.verify.mapper.VerifyMapper;
import com.ruoyi.yh.verify.service.VerifyService;

/**
 * 审核记录Service业务层处理
 *
 * @author ruoyi
 * @date 2025-04-01
 */
@Service
public class VerifyServiceImpl implements VerifyService
{
    @Autowired
    private VerifyMapper verifyMapper;

    /**
     * 查询审核记录
     *
     * @param id 审核记录主键
     * @return 审核记录
     */
    @Override
    public VerifyVO selectVerifyById(Long id)
    {
        return verifyMapper.selectVerifyById(id);
    }

    /**
     * 查询审核记录列表
     *
     * @param verify 审核记录
     * @return 审核记录
     */
    @Override
    public List<VerifyVO> selectVerifyList(VerifyQuery verify)
    {
        return verifyMapper.selectVerifyList(verify);
    }

    /**
     * 新增审核记录
     *
     * @param verify 审核记录
     * @return 结果
     */
    @Override
    public int insertVerify(Verify verify)
    {
        verify.setCreateTime(DateUtils.getNowDate());
        return verifyMapper.insertVerify(verify);
    }

    /**
     * 修改审核记录
     *
     * @param verify 审核记录
     * @return 结果
     */
    @Override
    public int updateVerify(Verify verify)
    {
        return verifyMapper.updateVerify(verify);
    }

    /**
     * 批量删除审核记录
     *
     * @param ids 需要删除的审核记录主键
     * @return 结果
     */
    @Override
    public int deleteVerifyByIds(Long[] ids)
    {
        return verifyMapper.deleteVerifyByIds(ids);
    }

    /**
     * 删除审核记录信息
     *
     * @param id 审核记录主键
     * @return 结果
     */
    @Override
    public int deleteVerifyById(Long id)
    {
        return verifyMapper.deleteVerifyById(id);
    }
}
