package com.ruoyi.web.dashboard;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dashboard.report.domain.dailyProd.DailyProdVO;
import com.ruoyi.dashboard.report.service.ReportProdDashboardService;
import com.ruoyi.yh.reportProd.domain.ReportProdQuery;

import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("/dashboard/reportProd")
public class DashboardReportProdController extends BaseController {

    @Autowired
    private ReportProdDashboardService reportProdDashboardService;

    @ApiOperation("产品报表统计")
    @GetMapping("/sum")
    public AjaxResult sum(ReportProdQuery query) {
        return success(reportProdDashboardService.selectSum(query));
    }

    @ApiOperation("工序每日产量统计")
    @GetMapping("/dailyProd")
    @PreAuthorize("@ss.hasPermi('dashboard:prod:dailyProd')")
    @DataScope(deptAlias = "sd")
    public AjaxResult dailyProd(ReportProdQuery query) {
        List<DailyProdVO> list = reportProdDashboardService.selectDailyProd(query);
        return success(list);
    }
}
