package com.ruoyi.web.dashboard;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dashboard.report.domain.dailySalary.UserDailySalaryVO;
import com.ruoyi.dashboard.report.service.ReportUserProdDashboardService;
import com.ruoyi.yh.reportUserProd.domain.ReportUserProdQuery;

import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("/dashboard/reportUserProd")
public class DashboardReportUserProdController extends BaseController {

    @Autowired
    private ReportUserProdDashboardService reportUserProdDashboardService;

    @ApiOperation("用户产品报表统计")
    @GetMapping("/sum")
    public AjaxResult sum(ReportUserProdQuery query) {
        return success(reportUserProdDashboardService.selectSum(query));
    }

    @ApiOperation("用户每日工资统计")
    @GetMapping("/dailySalary")
    @PreAuthorize("@ss.hasPermi('dashboard:userProd:dailySalary')")
    @DataScope(deptAlias = "sd")
    public AjaxResult dailySalary(ReportUserProdQuery query) {
        List<UserDailySalaryVO> list = reportUserProdDashboardService.selectDailySalary(query);
        return success(list);
    }
}
